import CustomSearcher from './src/custom-searcher.vue';
export declare const LlCustomSearcher: import("ll-plus/es/utils").SFCWithInstall<import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    readonly open: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly fieldList: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("./src/custom-searcher").customSearcherFieldItem[]>, unknown, unknown, () => any[], boolean>;
    readonly operatorSelectable: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly maxSearchCount: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
    readonly useBadge: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly activeState: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly placement: {
        readonly type: import("vue").PropType<import("ll-plus/es/utils").EpPropMergeType<import("vue").PropType<import("ant-design-vue/es/tooltip").TooltipPlacement>, unknown, unknown>>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly searchIcon: {
        readonly type: import("vue").PropType<string>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly addSearchText: {
        readonly type: import("vue").PropType<string>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly saveSchemeText: {
        readonly type: import("vue").PropType<string>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly useLocalStorage: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly size: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<number | import("ant-design-vue/es/config-provider").SizeType>, unknown, unknown, "large", boolean>;
    readonly label: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly localKey: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "34", boolean>;
}>, {
    props: import("@vue/shared").LooseRequired<Readonly<import("vue").ExtractPropTypes<{
        readonly open: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly fieldList: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("./src/custom-searcher").customSearcherFieldItem[]>, unknown, unknown, () => any[], boolean>;
        readonly operatorSelectable: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
        readonly maxSearchCount: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
        readonly useBadge: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
        readonly activeState: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly placement: {
            readonly type: import("vue").PropType<import("ll-plus/es/utils").EpPropMergeType<import("vue").PropType<import("ant-design-vue/es/tooltip").TooltipPlacement>, unknown, unknown>>;
            readonly required: false;
            readonly validator: (val: unknown) => boolean;
            __epPropKey: true;
        };
        readonly searchIcon: {
            readonly type: import("vue").PropType<string>;
            readonly required: false;
            readonly validator: (val: unknown) => boolean;
            __epPropKey: true;
        };
        readonly addSearchText: {
            readonly type: import("vue").PropType<string>;
            readonly required: false;
            readonly validator: (val: unknown) => boolean;
            __epPropKey: true;
        };
        readonly saveSchemeText: {
            readonly type: import("vue").PropType<string>;
            readonly required: false;
            readonly validator: (val: unknown) => boolean;
            __epPropKey: true;
        };
        readonly useLocalStorage: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
        readonly size: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<number | import("ant-design-vue/es/config-provider").SizeType>, unknown, unknown, "large", boolean>;
        readonly label: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
        readonly localKey: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "34", boolean>;
    }>> & Readonly<{
        "onUpdate:open"?: (...args: any[]) => any;
        "onField-select"?: (...args: any[]) => any;
    }> & {}>;
    emits: (event: "update:open" | "field-select", ...args: any[]) => void;
    bem: {
        b: (blockSuffix?: string) => string;
        e: (element?: string) => string;
        m: (modifier?: string) => string;
        be: (blockSuffix?: string, element?: string) => string;
        em: (element: string, modifier: string) => string;
        bm: (blockSuffix: string, modifier: string) => string;
        bem: (blockSuffix: string, element: string, modifier: string) => string;
        is: (name?: string) => string;
    };
    attrs: import("vue").Attrs;
    searchList: any;
    localList: import("vue").ComputedRef<import("./src/custom-searcher").customSearcherFieldItem[]>;
    storageVersion: import("vue").Ref<number, number>;
    nameOpen: import("vue").Ref<boolean, boolean>;
    localScheme: import("vue").WritableComputedRef<any, any>;
    newOpen: import("vue").WritableComputedRef<import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>, boolean>;
    disabledAdd: import("vue").ComputedRef<boolean>;
    configMap: import("vue").ComputedRef<any>;
    handleAdd: () => void;
    handleCancel: () => void;
    handleOk: (name: string) => void;
    useScheme: (idx: number) => void;
    clearScheme: (idx: number) => void;
    handleRemove: (idx: number) => void;
    handleField: (value: string, option: import("./src/custom-searcher").customSearcherFieldItem) => void;
    handleOperator: (value: string, item: any) => void;
    getValue: () => any;
    clearValue: (range: "all" | "field", fields?: string[]) => void;
    setValue: (config: Record<string, Record<string, any>>) => void;
    handleConfig: (config: Record<string, Record<string, any>>) => void;
    filterSearchList: () => void;
    readonly ops: {
        base: {
            label: string;
            value: string;
        }[];
        text: {
            label: string;
            value: string;
        }[];
        compare: {
            label: string;
            value: string;
        }[];
    };
    SchemeName: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
        open: {
            type: BooleanConstructor;
            required: true;
        };
    }>, {
        formCols: import("vue").Ref<{
            label: string;
            key: string;
            type: string;
            labelCol: {
                span: number;
            };
            placeholder: string;
            rules: {
                required: boolean;
                trigger: string[];
                message: string;
            }[];
        }[], {
            label: string;
            key: string;
            type: string;
            labelCol: {
                span: number;
            };
            placeholder: string;
            rules: {
                required: boolean;
                trigger: string[];
                message: string;
            }[];
        }[] | {
            label: string;
            key: string;
            type: string;
            labelCol: {
                span: number;
            };
            placeholder: string;
            rules: {
                required: boolean;
                trigger: string[];
                message: string;
            }[];
        }[]>;
        emits: (event: "cancel" | "ok", ...args: any[]) => void;
        formRef: import("vue").Ref<any, any>;
        onSave: () => Promise<void>;
        formData: import("vue").Ref<{
            name: string;
        }, {
            name: string;
        } | {
            name: string;
        }>;
    }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("cancel" | "ok")[], "cancel" | "ok", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
        open: {
            type: BooleanConstructor;
            required: true;
        };
    }>> & Readonly<{
        onCancel?: (...args: any[]) => any;
        onOk?: (...args: any[]) => any;
    }>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:open" | "field-select")[], "update:open" | "field-select", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    readonly open: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly fieldList: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("./src/custom-searcher").customSearcherFieldItem[]>, unknown, unknown, () => any[], boolean>;
    readonly operatorSelectable: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly maxSearchCount: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
    readonly useBadge: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly activeState: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly placement: {
        readonly type: import("vue").PropType<import("ll-plus/es/utils").EpPropMergeType<import("vue").PropType<import("ant-design-vue/es/tooltip").TooltipPlacement>, unknown, unknown>>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly searchIcon: {
        readonly type: import("vue").PropType<string>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly addSearchText: {
        readonly type: import("vue").PropType<string>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly saveSchemeText: {
        readonly type: import("vue").PropType<string>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly useLocalStorage: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly size: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<number | import("ant-design-vue/es/config-provider").SizeType>, unknown, unknown, "large", boolean>;
    readonly label: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly localKey: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "34", boolean>;
}>> & Readonly<{
    "onUpdate:open"?: (...args: any[]) => any;
    "onField-select"?: (...args: any[]) => any;
}>, {
    readonly label: string;
    readonly size: import("ll-plus/es/utils").EpPropMergeType<import("vue").PropType<number | import("ant-design-vue/es/config-provider").SizeType>, unknown, unknown>;
    readonly open: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly useLocalStorage: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly localKey: string;
    readonly fieldList: import("./src/custom-searcher").customSearcherFieldItem[];
    readonly operatorSelectable: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly maxSearchCount: number;
    readonly useBadge: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly activeState: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>>;
export default LlCustomSearcher;
export * from './src/custom-searcher';
declare module 'vue' {
    interface GlobalComponents {
        LlCustomSearcher: typeof CustomSearcher;
    }
}
